Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MBeanDumper

    java.lang.Object
      org.hyperic.hq.product.jmx.MBeanDumper

    public class MBeanDumper

extends Object

Field Summary
`protected Properties` | `_config`
`protected static String` | `PROP_JMX_QUERY`

Constructor Summary
`MBeanDumper()`

Method Summary
`void` | `dump(Properties config)`
`void` | `dump(Set beans)`
`void` | `dump(String[] args)`
`protected Object` | `getAttribute(ObjectName obj, String name)`
`protected Properties` | `getConfig(String[] args)`
`protected MBeanInfo` | `getMBeanInfo(ObjectName obj)`
`protected MBeanServerConnection` | `getMBeanServer(Properties config)`
`protected String[][]` | `getPropertyMap()`
`protected ObjectName` | `getQuery()`
`protected boolean` | `isValidObjectName(String name)`
`protected boolean` | `isValidURL(String url)`
`static void` | `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _config

    protected Properties _config

### PROP_JMX_QUERY

    protected static final String PROP_JMX_QUERY

See Also:
  Constant Field Values

Constructor Detail

### MBeanDumper

    public MBeanDumper()

Method Detail

### isValidObjectName

    protected boolean isValidObjectName(String name)

### isValidURL

    protected boolean isValidURL(String url)

### getConfig

    protected Properties getConfig(String[] args)

### getPropertyMap

    protected String[][] getPropertyMap()

### getMBeanServer

    protected MBeanServerConnection getMBeanServer(Properties config)
                                            throws Exception

  Throws:
    `Exception`

### getMBeanInfo

    protected MBeanInfo getMBeanInfo(ObjectName obj)
                              throws Exception

  Throws:
    `Exception`

### getAttribute

    protected Object getAttribute(ObjectName obj,
                                  String name)
                           throws Exception

  Throws:
    `Exception`

### getQuery

    protected ObjectName getQuery()

### dump

    public void dump(String[] args)
              throws Exception

  Throws:
    `Exception`

### dump

    public void dump(Properties config)
              throws Exception

  Throws:
    `Exception`

### dump

    public void dump(Set beans)

### main

    public static void main(String[] args)
                     throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.